Atualizar remetente (parcial)
curl --request PATCH \
--url https://api.lbpay.example.com/v1/senders/{senderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "+15551234567",
"birthDate": "2023-12-25",
"nationality": "<string>",
"documents": [
{
"document": "<string>",
"countryCode": "<string>",
"stateCode": "<string>",
"issuer": "<string>",
"expireDate": "2023-12-25"
}
],
"occupation": "<string>",
"employerName": "<string>"
}
'import requests
url = "https://api.lbpay.example.com/v1/senders/{senderId}"
payload = {
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "+15551234567",
"birthDate": "2023-12-25",
"nationality": "<string>",
"documents": [
{
"document": "<string>",
"countryCode": "<string>",
"stateCode": "<string>",
"issuer": "<string>",
"expireDate": "2023-12-25"
}
],
"occupation": "<string>",
"employerName": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
businessName: '<string>',
email: 'jsmith@example.com',
phoneNumber: '+15551234567',
birthDate: '2023-12-25',
nationality: '<string>',
documents: [
{
document: '<string>',
countryCode: '<string>',
stateCode: '<string>',
issuer: '<string>',
expireDate: '2023-12-25'
}
],
occupation: '<string>',
employerName: '<string>'
})
};
fetch('https://api.lbpay.example.com/v1/senders/{senderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/senders/{senderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => '<string>',
'middleName' => '<string>',
'lastName' => '<string>',
'businessName' => '<string>',
'email' => 'jsmith@example.com',
'phoneNumber' => '+15551234567',
'birthDate' => '2023-12-25',
'nationality' => '<string>',
'documents' => [
[
'document' => '<string>',
'countryCode' => '<string>',
'stateCode' => '<string>',
'issuer' => '<string>',
'expireDate' => '2023-12-25'
]
],
'occupation' => '<string>',
'employerName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/senders/{senderId}"
payload := strings.NewReader("{\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"documents\": [\n {\n \"document\": \"<string>\",\n \"countryCode\": \"<string>\",\n \"stateCode\": \"<string>\",\n \"issuer\": \"<string>\",\n \"expireDate\": \"2023-12-25\"\n }\n ],\n \"occupation\": \"<string>\",\n \"employerName\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.lbpay.example.com/v1/senders/{senderId}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"documents\": [\n {\n \"document\": \"<string>\",\n \"countryCode\": \"<string>\",\n \"stateCode\": \"<string>\",\n \"issuer\": \"<string>\",\n \"expireDate\": \"2023-12-25\"\n }\n ],\n \"occupation\": \"<string>\",\n \"employerName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/senders/{senderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"documents\": [\n {\n \"document\": \"<string>\",\n \"countryCode\": \"<string>\",\n \"stateCode\": \"<string>\",\n \"issuer\": \"<string>\",\n \"expireDate\": \"2023-12-25\"\n }\n ],\n \"occupation\": \"<string>\",\n \"employerName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"senderId": "<string>",
"externalId": "<string>",
"type": "INDIVIDUAL",
"status": "ACTIVE",
"complianceLevel": "LEVEL_0",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"birthDate": "2023-12-25",
"nationality": "<string>",
"address": {
"countryCode": "<string>",
"city": "<string>",
"line1": "<string>",
"zipcode": "<string>",
"stateCode": "<string>",
"line2": "<string>"
},
"documents": [
{
"type": "passport",
"documentLast4": "5678",
"countryCode": "<string>",
"stateCode": "<string>",
"expireDate": "2023-12-25",
"verificationStatus": "NOT_VERIFIED"
}
],
"occupation": "<string>",
"employerName": "<string>",
"sourceOfFunds": "<string>",
"nextLevel": {
"level": "LEVEL_1",
"missingRequirements": [
"occupation",
"documents.ssn"
]
}
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Senders
Update a sender
PATCH
/
v1
/
senders
/
{senderId}
Atualizar remetente (parcial)
curl --request PATCH \
--url https://api.lbpay.example.com/v1/senders/{senderId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "+15551234567",
"birthDate": "2023-12-25",
"nationality": "<string>",
"documents": [
{
"document": "<string>",
"countryCode": "<string>",
"stateCode": "<string>",
"issuer": "<string>",
"expireDate": "2023-12-25"
}
],
"occupation": "<string>",
"employerName": "<string>"
}
'import requests
url = "https://api.lbpay.example.com/v1/senders/{senderId}"
payload = {
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "jsmith@example.com",
"phoneNumber": "+15551234567",
"birthDate": "2023-12-25",
"nationality": "<string>",
"documents": [
{
"document": "<string>",
"countryCode": "<string>",
"stateCode": "<string>",
"issuer": "<string>",
"expireDate": "2023-12-25"
}
],
"occupation": "<string>",
"employerName": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: '<string>',
middleName: '<string>',
lastName: '<string>',
businessName: '<string>',
email: 'jsmith@example.com',
phoneNumber: '+15551234567',
birthDate: '2023-12-25',
nationality: '<string>',
documents: [
{
document: '<string>',
countryCode: '<string>',
stateCode: '<string>',
issuer: '<string>',
expireDate: '2023-12-25'
}
],
occupation: '<string>',
employerName: '<string>'
})
};
fetch('https://api.lbpay.example.com/v1/senders/{senderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/senders/{senderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'firstName' => '<string>',
'middleName' => '<string>',
'lastName' => '<string>',
'businessName' => '<string>',
'email' => 'jsmith@example.com',
'phoneNumber' => '+15551234567',
'birthDate' => '2023-12-25',
'nationality' => '<string>',
'documents' => [
[
'document' => '<string>',
'countryCode' => '<string>',
'stateCode' => '<string>',
'issuer' => '<string>',
'expireDate' => '2023-12-25'
]
],
'occupation' => '<string>',
'employerName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/senders/{senderId}"
payload := strings.NewReader("{\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"documents\": [\n {\n \"document\": \"<string>\",\n \"countryCode\": \"<string>\",\n \"stateCode\": \"<string>\",\n \"issuer\": \"<string>\",\n \"expireDate\": \"2023-12-25\"\n }\n ],\n \"occupation\": \"<string>\",\n \"employerName\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.lbpay.example.com/v1/senders/{senderId}")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"documents\": [\n {\n \"document\": \"<string>\",\n \"countryCode\": \"<string>\",\n \"stateCode\": \"<string>\",\n \"issuer\": \"<string>\",\n \"expireDate\": \"2023-12-25\"\n }\n ],\n \"occupation\": \"<string>\",\n \"employerName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/senders/{senderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"firstName\": \"<string>\",\n \"middleName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"businessName\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"2023-12-25\",\n \"nationality\": \"<string>\",\n \"documents\": [\n {\n \"document\": \"<string>\",\n \"countryCode\": \"<string>\",\n \"stateCode\": \"<string>\",\n \"issuer\": \"<string>\",\n \"expireDate\": \"2023-12-25\"\n }\n ],\n \"occupation\": \"<string>\",\n \"employerName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"senderId": "<string>",
"externalId": "<string>",
"type": "INDIVIDUAL",
"status": "ACTIVE",
"complianceLevel": "LEVEL_0",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"birthDate": "2023-12-25",
"nationality": "<string>",
"address": {
"countryCode": "<string>",
"city": "<string>",
"line1": "<string>",
"zipcode": "<string>",
"stateCode": "<string>",
"line2": "<string>"
},
"documents": [
{
"type": "passport",
"documentLast4": "5678",
"countryCode": "<string>",
"stateCode": "<string>",
"expireDate": "2023-12-25",
"verificationStatus": "NOT_VERIFIED"
}
],
"occupation": "<string>",
"employerName": "<string>",
"sourceOfFunds": "<string>",
"nextLevel": {
"level": "LEVEL_1",
"missingRequirements": [
"occupation",
"documents.ssn"
]
}
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key to prevent duplicate creation or execution.
Required string length:
8 - 128Path Parameters
Body
application/json
Atualização parcial. Documento com mesmo type+número é atualizado; número diferente retira o anterior e cria novo (trilha preservada).
Maximum string length:
150Maximum string length:
150Maximum string length:
150Obrigatório quando type = BUSINESS.
Maximum string length:
200E.164.
Example:
"+15551234567"
Remetente INDIVIDUAL deve ter 18 anos ou mais.
Pattern:
^[A-Z]{2}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
SALARY, SAVINGS, BUSINESS_INCOME, INVESTMENTS, PENSION, GIFT, OTHER Response
Remetente atualizado
Available options:
INDIVIDUAL, BUSINESS Available options:
ACTIVE, RESTRICTED, BLOCKED, INACTIVE LEVEL_0 não transaciona. Requisitos e limites por nível são configurados por cliente.
Available options:
LEVEL_0, LEVEL_1, LEVEL_2, LEVEL_3 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Próximo nível de compliance e dados que faltam para alcançá-lo. Nulo no nível máximo.
Show child attributes
Show child attributes

